Skip to main content
GET
/
api
/
v1
/
customers
/
{customer_id}
La Pyme SDK
import { Lapyme } from "lapyme";

const lapyme = new Lapyme({
  bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});

const customer = await lapyme.customers.getCustomerById({
  customerId: "9c692e8b-0f9a-4f7c-8b99-061a2eb188ae",
});
{
  "request_id": "<string>",
  "data": {
    "object": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "company_name": "<string>",
    "description": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "address": "<string>",
    "apartment": "<string>",
    "city": "<string>",
    "tax_id": "<string>",
    "tax_id_type": "<string>",
    "tax_category": "<string>",
    "contact_type": "<string>",
    "default_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "payment_term_id": "<string>",
    "province_id": "<string>",
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "country": "<string>",
    "postal_code": "<string>",
    "assigned_salesperson_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "default_ganancias_regimen": "<string>",
    "assigned_salesperson": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "full_name": "<string>"
    },
    "default_price_list": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "sales_overview": {
      "pending_balance": 123,
      "sales_count": 1,
      "total_sales": 123,
      "recent_sales": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "voucher_type": "<string>",
          "invoice_status": "<string>",
          "invoice_date": "<string>",
          "currency": "<string>",
          "total": 123,
          "formatted_invoice_number": "<string>",
          "original_sale_id": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer.

Path Parameters

customer_id
string<uuid>
required

ID del cliente

Response

Cliente obtenido exitosamente

request_id
string
required
data
object
required